document.addEventListener('DOMContentLoaded', () => {
  const playBtn = document.querySelector('.play-btn');
  const prevBtn = document.querySelector('.prev-btn');
  const nextBtn = document.querySelector('.next-btn');
  const trackCards = document.querySelectorAll('.track-card');
  const progress = document.querySelector('.progress');
  
  let isPlaying = false;
  
  playBtn.addEventListener('click', () => {
    isPlaying = !isPlaying;
    playBtn.innerHTML = isPlaying ? '<span>⏸</span>' : '<span>▶</span>';
    
    if (isPlaying) {
      animateProgress();
    }
  });
  
  function animateProgress() {
    let width = 0;
    const interval = setInterval(() => {
      if (!isPlaying) {
        clearInterval(interval);
        return;
      }
      
      width = (width + 1) % 100;
      progress.style.width = `${width}%`;
    }, 100);
  }
  
  trackCards.forEach(card => {
    card.addEventListener('click', () => {
      trackCards.forEach(c => c.style.transform = 'none');
      card.style.transform = 'scale(1.05)';
    });
  });
  
  // Add hover effect to buttons
  const buttons = document.querySelectorAll('button');
  buttons.forEach(button => {
    button.addEventListener('mouseover', () => {
      button.style.opacity = '0.8';
    });
    button.addEventListener('mouseout', () => {
      button.style.opacity = '1';
    });
  });
});